API ReferenceVerifier applications
Retrieve all registered verifier application instances
GET
/v2/presentations/applications/{verifierApplicationId}/instancesRetrieves all registered instances of a verifier application.
This can be used by application owners to view all registered instances for a given verifier application.
Roles
adminverifier
Analytics Events
CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_RETRIEVE_LIST_STARTCREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_RETRIEVE_LIST_SUCCESSCREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
verifierApplicationId*string
Unique identifier for the verifier application.
Format
uuidQuery Parameters
limit?number
Range size of returned list.
Range
1 <= value <= 1000Default
100cursor?string
Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/presentations/applications/497f6eca-6276-4993-bfeb-53cbbbba6f08/instances"{ "nextCursor": "string", "data": [ { "id": "string", "appAttestationType": "none", "registeredAt": "2019-08-24T14:15:22Z", "licenseExpiresAt": "2019-08-24T14:15:22Z", "lastAttestedAt": "2019-08-24T14:15:22Z", "externalReferenceId": "string", "deviceDetails": { "deviceModel": "string", "deviceMake": "string", "osVersion": "string" }, "sdkDetails": { "sdkVersion": "string" } } ]}How would you rate this page?
Delete a verifier application DELETE
Deletes an existing verifier application. Once deleted, any associated application instances will no longer be able to interact with the MATTR VII platform.
Retrieve a registered verifier application instance GET
Retrieves a registered instance of a verifier application.